void MAIN()
{
    // world position alpha distance blend
    if (VAR_WORLD_POSITION.z < -700) {
        float alpha = 1.0 - ((700 + VAR_WORLD_POSITION.z) / -700);
        BASE_COLOR = vec4(materialColor.rgb * alpha, alpha);
    } else {
        BASE_COLOR = vec4(materialColor.rgb, 1.0);
    }
}
